# $Revision: 1.6 $, $Date: 2009/04/21 09:26:57 $
Summary:	J.Engelh's general-purpose library
Summary(pl.UTF-8):	Biblioteka ogólnego przeznaczenia J. Engelha
Name:		libHX
Version:	2.2
Release:	1
License:	LGPL v2 or LGPL v3
Group:		Libraries
Source0:	http://jengelh.medozas.de/files/libHX/%{name}-%{version}.tar.bz2
# Source0-md5:	c5f62e024d01c96955775f24810e2aef
URL:		http://jengelh.medozas.de/projects/libHX/
Patch0:	%{name}-gcc3.patch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
J.Engelh's general-purpose library for:
- A+R/B trees to use for lists or maps (associative arrays)
- Deques (double-ended queues) (Stacks (LIFO) / Queues (FIFOs))
- platform independent opendir-style directory access
- platform independent dlopen-style shared library access
- auto-storage strings with direct access
- command line option (argv) parser
- shell-style config file parser
- platform independent random number generator with transparent
  /dev/urandom support
- various string, memory and zvec ops

%description -l pl.UTF-8
Biblioteka J. Engelha ogólnego przeznaczenia, obejmująca:
- drzewa czerwono-czarne do list i tablic asocjacyjnych
- kolejki o dwóch końcach (stosy LIFO/kolejki FIFO)
- niezależny od platformy dostęp do katalogów w stylu opendir
- niezależny od platformy dostęp do bibliotek współdzielonych w stylu
  dlopen
- łańcuchy znaków z automatycznym zarządzaniem pamięcią i bezpośrednim
  dostępem
- analizator opcji linii poleceń (argv)
- analizator plików konfiguracyjnych w stylu powłoki sh
- niezależny od platformy generator liczb losowych z przezroczystą
  obsługą /dev/urandom
- różne operacje na łańcuchach znaków, pamięci i strukturach zvec

%package devel
Summary:	libHX header files
Summary(pl.UTF-8):	Pliki nagłówkowe libHX
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}

%description devel
libHX header files.

%description devel -l pl.UTF-8
Pliki nagłówkowe libHX.

%package static
Summary:	libHX static library
Summary(pl.UTF-8):	Statyczna biblioteka libHX
Group:		Development/Libraries
Requires:	%{name}-devel = %{version}-%{release}

%description static
libHX static library.

%description static -l pl.UTF-8
Statyczna biblioteka libHX.

%prep
%setup -q
%patch0 -p1

%build
%configure \
	--enable-static

%{__make} \
	V=1

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%post	-p /sbin/ldconfig
%postun	-p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%doc doc/changelog.txt
%attr(755,root,root) %{_libdir}/libHX.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libHX.so.18

%files devel
%defattr(644,root,root,755)
%doc doc/[!c]*.txt
%attr(755,root,root) %{_libdir}/libHX.so
%{_libdir}/libHX.la
%{_includedir}/libHX.h
%{_includedir}/%{name}
%{_pkgconfigdir}/libHX.pc

%files static
%defattr(644,root,root,755)
%{_libdir}/libHX.a

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: libHX.spec,v $
Revision 1.6  2009/04/21 09:26:57  glen
- include stddef.h for offsetof (thx patrys)

Revision 1.5  2009/01/05 21:29:44  duddits
- up to 2.2
- %files tune-up

Revision 1.4  2008/09/08 20:16:01  wolvverine
- up to 1.25, URL, SOURCE0, STBR

Revision 1.3  2008/01/21 19:29:54  qboosh
- oops, typo
- verbose make

Revision 1.2  2008-01-21 19:26:17  qboosh
- pl
- cleanup, removed false comment (no C++ inside)
- more verbose files, ghost soname symlink, moved changelog.txt to base doc

Revision 1.1  2007-12-12 14:46:20  pascalek
- initial revision
